Subject: Re: cygwin 1.3.20-1 and python 2.2.2-5
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 18 Feb 2003 07:22:55 -0700

Jason, 

> On Tue, Feb 18, 2003 at 05:57:05AM -0700, [email-masked] wrote:
> > I use a python script (NTLM APS, see http://apserver.sourceforge.net/)
> > to access the web from cygwin (and other windows apps) at work.  This
> > proxy software allows you to authenticate via an MS Proxy Server using
> > the proprietary NTLM protocol.
> > Since I upgraded cygwin to 1.3.20, it's not working anymore. 
> 
> Details?  For example, does APS hang? Or, does it just fail with an
> error?

It's just sitting here, accepting connections from the softs who adresses 
it. But it does not forward them to the MS Proxy.
The screen debug tells:
With cygwin 1.3.19:
NTLM authorization Proxy Server v0.9.8 at "PRDRBNO:5865".
2001-2002 (C) by Dmitry Rozmanov
Connected from 127.0.0.1:1941
..+.. Finished 127.0.0.1:1941 

With cygwin 1.3.20:
NTLM authorization Proxy Server v0.9.8 at "PRDRBNO:5865".
2001-2002 (C) by Dmitry Rozmanov
Connected from 127.0.0.1:2036 

In the log I have:
With cygwin 1.3.19:
18.02.2003 14:53:27 Version 0.9.8
*** Got client request header.
*** Connecting to remote server...(192.168.4.3:80)...Done.
*** Sending client request header to remote server...Done.
*** Got remote server response header.
[...Authentication stuff...]
*** Sending remote server response header to client...Done.
*** Lowered authentication flags down. As the code is neither 401 nor 407.
*** Sent 2026 bytes to client. (all - 0, len - 0)
*** Remote server closed connection. (Server buffer - 0 bytes)
*** No server's data to send to the client. (server's buffer - 0 bytes)
*** Termination conditions detected (remote server closed connection). Stop 
Request issued.
*** Finishing procedure started.
*** Closing thread...Done. 

With cygwin 1.3.20, I've just the first line (date/time log). 

> Does APS use threads?

Yes it does. At least, it does an "import thread" at the beginning of the 
script. As I wrote, I don't know much about python... 

> I am currently tracking down two Python regression test (i.e.,
> test_asynchat and test_socket) hangs with 1.3.20-1 which may be related
> to your problem.  My problem was introduced between 1.3.19-1 and the
> 2003-Feb-01 snapshot.  With a limited amount of debugging, it appears
> that creating a two sockets in two separate threads causes the second
> one to hang.

I've CC'd the author of APS. 

Thanks,
Gael.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/